summaryrefslogtreecommitdiff
path: root/package/network/utils/comgt/files/directip.sh
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-10-08 08:01:20 +0000
committerJohn Crispin <john@openwrt.org>2014-10-08 08:01:20 +0000
commit90120bb7712361d67edb84faee78f2b191e1158b (patch)
tree09269a89a6d98cd7f0c5589f07ff37556b896e1c /package/network/utils/comgt/files/directip.sh
parent1df98fcd5adbf50c9fb0d2718879616d0e3c67b8 (diff)
downloadmtk-20170518-90120bb7712361d67edb84faee78f2b191e1158b.zip
mtk-20170518-90120bb7712361d67edb84faee78f2b191e1158b.tar.gz
mtk-20170518-90120bb7712361d67edb84faee78f2b191e1158b.tar.bz2
wwan: add a generic 3g/4g proto
this proto handler will detect which of 3g, qmi, mbim, ncm or directip you need for a stick and setup uci automagically Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 42837
Diffstat (limited to 'package/network/utils/comgt/files/directip.sh')
-rw-r--r--package/network/utils/comgt/files/directip.sh16
1 files changed, 12 insertions, 4 deletions
diff --git a/package/network/utils/comgt/files/directip.sh b/package/network/utils/comgt/files/directip.sh
index b860f1e..a633fa2 100644
--- a/package/network/utils/comgt/files/directip.sh
+++ b/package/network/utils/comgt/files/directip.sh
@@ -1,8 +1,10 @@
#!/bin/sh
-. /lib/functions.sh
-. ../netifd-proto.sh
-init_proto "$@"
+[ -n "$INCLUDE_ONLY" ] || {
+ . /lib/functions.sh
+ . ../netifd-proto.sh
+ init_proto "$@"
+}
proto_directip_init_config() {
available=1
@@ -22,6 +24,8 @@ proto_directip_setup() {
local device apn pincode ifname auth username password
json_get_vars device apn pincode auth username password
+ [ -n "$ctl_device" ] && device=$ctl_device
+
[ -e "$device" ] || {
proto_notify_error "$interface" NO_DEVICE
proto_set_available "$interface" 0
@@ -93,10 +97,14 @@ proto_directip_teardown() {
local device
json_get_vars device
+ [ -n "$ctl_device" ] && device=$ctl_device
+
gcom -d "$device" -s /etc/gcom/directip-stop.gcom || proto_notify_error "$interface" CONNECT_FAILED
proto_init_update "*" 0
proto_send_update "$interface"
}
-add_protocol directip
+[ -n "$INCLUDE_ONLY" ] || {
+ add_protocol directip
+}